# @y(4)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

@y - Yank buffer variable

## SYNOPSIS

@y - Yank buffer variable

## DESCRIPTION

The Yank Buffer Variable @y retrieves the current yank(2) string from the kill buffer and returns it to the caller.

The @y variable may be set to change the kill ring buffer.

The Yank Buffer Variable may be specified with a numeric qualifier to access one of the historical yank buffers @y0 to @y15 to directly extract text from the kill-ring.

## EXAMPLE

The current contents of the yank buffer can be obtained using @y, so to set variable `#l1` to the current or last word if the cursor is not in a word, simply use:

        forward-char
        backward-word
        set-mark
        forward-word
        copy-region
        set-variable #l1 @y

## SEE ALSO

yank(2), MacroArguments, MacroNumericArguments, define-macro(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>